import { TdChartOptionsService, TdCoordinateSystem, ITdItemStyle, ITdEmphasis, TdSeriesLayoutBy, ITdMarkPoint, ITdMarkLine, ITdMarkArea, ITdSeries, ITdLabel, TdProgressiveChunkMode, TdSeriesDirective } from '@covalent/echarts/base';
import * as i0 from "@angular/core";
export interface ITdBarSeries extends ITdSeries {
    legendHoverLink?: boolean;
    coordinateSystem?: TdCoordinateSystem;
    xAxisIndex?: number;
    yAxisIndex?: number;
    Label?: ITdLabel;
    itemStyle?: ITdItemStyle;
    emphasis?: ITdEmphasis;
    stack?: string;
    cursor?: string;
    barWidth?: number | string;
    barMaxWidth?: number | string;
    barMinHeight?: number;
    barGap?: string;
    barCategoryGap?: string;
    large?: boolean;
    largeThreshold?: number;
    progressive?: number;
    progressiveThreshold?: number;
    progressiveChunkMode?: TdProgressiveChunkMode;
    dimensions?: any[];
    encode?: any;
    seriesLayoutBy?: TdSeriesLayoutBy;
    datasetIndex?: number;
    data?: any[];
    markPoint?: ITdMarkPoint;
    markLine?: ITdMarkLine;
    markArea?: ITdMarkArea;
    Zlevel?: 0;
    z?: number;
    silent?: boolean;
}
export declare class TdChartSeriesBarComponent extends TdSeriesDirective implements ITdBarSeries {
    coordinateSystem?: TdCoordinateSystem;
    xAxisIndex?: number;
    yAxisIndex?: number;
    legendHoverLink?: boolean;
    stack?: string;
    cursor?: string;
    label?: any;
    itemStyle?: ITdItemStyle;
    emphasis?: ITdEmphasis;
    barWidth?: number;
    barMaxWidth?: number;
    barMinHeight?: number;
    barGap?: string;
    barCategoryGap?: string;
    large?: boolean;
    largeThreshold?: number;
    progressive?: number;
    progressiveThreshold?: number;
    progressiveChunkMode?: TdProgressiveChunkMode;
    dimensions?: any[];
    encode: any;
    seriesLayoutBy?: TdSeriesLayoutBy;
    datasetIndex?: number;
    markPoint?: ITdMarkPoint;
    markLine?: ITdMarkLine;
    markArea?: ITdMarkArea;
    zlevel?: number;
    z?: number;
    constructor(_optionsService: TdChartOptionsService);
    getConfig(): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<TdChartSeriesBarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TdChartSeriesBarComponent, "td-chart-series[td-bar]", never, { "config": { "alias": "config"; "required": false; }; "id": { "alias": "id"; "required": false; }; "name": { "alias": "name"; "required": false; }; "color": { "alias": "color"; "required": false; }; "data": { "alias": "data"; "required": false; }; "animation": { "alias": "animation"; "required": false; }; "animationThreshold": { "alias": "animationThreshold"; "required": false; }; "animationDuration": { "alias": "animationDuration"; "required": false; }; "animationEasing": { "alias": "animationEasing"; "required": false; }; "animationDelay": { "alias": "animationDelay"; "required": false; }; "animationDurationUpdate": { "alias": "animationDurationUpdate"; "required": false; }; "animationEasingUpdate": { "alias": "animationEasingUpdate"; "required": false; }; "animationDelayUpdate": { "alias": "animationDelayUpdate"; "required": false; }; "tooltip": { "alias": "tooltip"; "required": false; }; "coordinateSystem": { "alias": "coordinateSystem"; "required": false; }; "xAxisIndex": { "alias": "xAxisIndex"; "required": false; }; "yAxisIndex": { "alias": "yAxisIndex"; "required": false; }; "legendHoverLink": { "alias": "legendHoverLink"; "required": false; }; "stack": { "alias": "stack"; "required": false; }; "cursor": { "alias": "cursor"; "required": false; }; "label": { "alias": "label"; "required": false; }; "itemStyle": { "alias": "itemStyle"; "required": false; }; "emphasis": { "alias": "emphasis"; "required": false; }; "barWidth": { "alias": "barWidth"; "required": false; }; "barMaxWidth": { "alias": "barMaxWidth"; "required": false; }; "barMinHeight": { "alias": "barMinHeight"; "required": false; }; "barGap": { "alias": "barGap"; "required": false; }; "barCategoryGap": { "alias": "barCategoryGap"; "required": false; }; "large": { "alias": "large"; "required": false; }; "largeThreshold": { "alias": "largeThreshold"; "required": false; }; "progressive": { "alias": "progressive"; "required": false; }; "progressiveThreshold": { "alias": "progressiveThreshold"; "required": false; }; "progressiveChunkMode": { "alias": "progressiveChunkMode"; "required": false; }; "dimensions": { "alias": "dimensions"; "required": false; }; "encode": { "alias": "encode"; "required": false; }; "seriesLayoutBy": { "alias": "seriesLayoutBy"; "required": false; }; "datasetIndex": { "alias": "datasetIndex"; "required": false; }; "markPoint": { "alias": "markPoint"; "required": false; }; "markLine": { "alias": "markLine"; "required": false; }; "markArea": { "alias": "markArea"; "required": false; }; "zlevel": { "alias": "zlevel"; "required": false; }; "z": { "alias": "z"; "required": false; }; }, {}, never, never, false, never>;
}
