import { TdChartOptionsService, ITdItemStyle, ITdSeriesTooltip, ITdLabel, ITdSeries, TdSeriesDirective, ITdEmphasis, ITdShadow } from '@covalent/echarts/base';
import * as i0 from "@angular/core";
/**
 * ECHART OPTION DOCS
 * https://ecomfe.github.io/echarts-examples/public/index.html#chart-type-treemap
 *
 */
export interface ITdTreemapEmphasisLineStyle extends ITdShadow {
    color?: any;
    width?: number;
    curveness?: number;
}
export interface ITdTreemapEmphasis extends ITdEmphasis {
    lineStyle: ITdTreemapEmphasisLineStyle;
}
export interface ITdTreemapUpperLabel {
    show?: boolean;
    position?: string | any[];
    distance?: string | number;
    rotate?: string | number;
    offset?: any[];
    formatter?: string;
    color?: any;
    fontStyle?: string;
    fontWeight?: string;
    fontFamily?: string;
    fontSize?: string | number;
    align?: string;
    verticalAlign?: string;
    lineHeight?: string | number;
    backgroundColor?: any;
    borderColor?: string;
    borderWidth?: string | number;
    borderRadius?: string | number;
    padding?: number | any[];
    shadowColor?: string;
    shadowBlur?: string | number;
    shadowOffsetX?: string | number;
    shadowOffsetY?: string | number;
    width?: string | number;
    height?: string | number;
    textBorderColor?: string;
    textBorderWidth?: string | number;
    textShadowColor?: string;
    textShadowBlur?: string | number;
    textShadowOffsetX?: string | number;
    textShadowOffsetY?: string | number;
    rich?: any;
    ellipsis?: any;
}
export interface ITdTreemapBreadcrumb {
    show?: boolean;
    left?: string | number;
    top?: string | number;
    right?: string | number;
    bottom?: string | number;
    height?: string | number;
    emptyItemWidth?: string | number;
    itemStyle?: ITdItemStyle;
    emphasis?: ITdTreemapEmphasis;
}
interface ITdTreemapSeries extends ITdSeries {
    zlevel?: number;
    z?: number;
    left?: string | number;
    top?: string | number;
    right?: string | number;
    bottom?: string | number;
    width?: string | number;
    height?: string | number;
    squareRatio?: string | number;
    leafDepth?: string | number;
    drillDownIcon?: string;
    roam?: boolean | string;
    nodeClick?: boolean | string;
    zoomToNodeRatio?: string | number;
    levels?: any[];
    silent?: boolean;
    visualDimension?: string | number;
    visualMin?: string | number;
    visualMax?: string | number;
    colorAlpha?: any[];
    colorSaturation?: string | number;
    colorMappingBy?: string;
    visibleMin?: string | number;
    childrenVisibleMin?: string | number;
    itemStyle?: ITdItemStyle;
    label?: ITdLabel;
    upperLabel?: ITdTreemapUpperLabel;
    breadcrumb?: ITdTreemapBreadcrumb;
    emphasis?: ITdTreemapEmphasis;
    data?: any[];
}
export declare class TdChartSeriesTreemapComponent extends TdSeriesDirective implements ITdTreemapSeries {
    config?: any;
    id?: string;
    name?: string;
    data?: any;
    zlevel?: number;
    z?: number;
    left?: string | number;
    top?: string | number;
    right?: string | number;
    bottom?: string | number;
    width?: string | number;
    height?: string | number;
    squareRatio?: string | number;
    leafDepth?: string | number;
    drillDownIcon?: string;
    roam?: boolean | string;
    nodeClick?: boolean | string;
    zoomToNodeRatio?: string | number;
    levels?: any[];
    silent?: boolean;
    visualDimension?: string | number;
    visualMin?: string | number;
    visualMax?: string | number;
    colorAlpha?: any[];
    colorSaturation?: string | number;
    colorMappingBy?: string;
    visibleMin?: string | number;
    childrenVisibleMin?: string | number;
    itemStyle?: ITdItemStyle;
    label?: ITdLabel;
    upperLabel?: ITdTreemapUpperLabel;
    breadcrumb?: ITdTreemapBreadcrumb;
    emphasis?: ITdTreemapEmphasis;
    tooltip: ITdSeriesTooltip;
    constructor(_optionsService: TdChartOptionsService);
    getConfig(): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<TdChartSeriesTreemapComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TdChartSeriesTreemapComponent, "td-chart-series[td-treemap]", never, { "config": { "alias": "config"; "required": false; }; "id": { "alias": "id"; "required": false; }; "name": { "alias": "name"; "required": false; }; "color": { "alias": "color"; "required": false; }; "data": { "alias": "data"; "required": false; }; "animation": { "alias": "animation"; "required": false; }; "animationThreshold": { "alias": "animationThreshold"; "required": false; }; "animationDuration": { "alias": "animationDuration"; "required": false; }; "animationEasing": { "alias": "animationEasing"; "required": false; }; "animationDelay": { "alias": "animationDelay"; "required": false; }; "animationDurationUpdate": { "alias": "animationDurationUpdate"; "required": false; }; "animationEasingUpdate": { "alias": "animationEasingUpdate"; "required": false; }; "animationDelayUpdate": { "alias": "animationDelayUpdate"; "required": false; }; "tooltip": { "alias": "tooltip"; "required": false; }; "zlevel": { "alias": "zlevel"; "required": false; }; "z": { "alias": "z"; "required": false; }; "left": { "alias": "left"; "required": false; }; "top": { "alias": "top"; "required": false; }; "right": { "alias": "right"; "required": false; }; "bottom": { "alias": "bottom"; "required": false; }; "width": { "alias": "width"; "required": false; }; "height": { "alias": "height"; "required": false; }; "squareRatio": { "alias": "squareRatio"; "required": false; }; "leafDepth": { "alias": "leafDepth"; "required": false; }; "drillDownIcon": { "alias": "drillDownIcon"; "required": false; }; "roam": { "alias": "roam"; "required": false; }; "nodeClick": { "alias": "nodeClick"; "required": false; }; "zoomToNodeRatio": { "alias": "zoomToNodeRatio"; "required": false; }; "levels": { "alias": "levels"; "required": false; }; "silent": { "alias": "silent"; "required": false; }; "visualDimension": { "alias": "visualDimension"; "required": false; }; "visualMin": { "alias": "visualMin"; "required": false; }; "visualMax": { "alias": "visualMax"; "required": false; }; "colorAlpha": { "alias": "colorAlpha"; "required": false; }; "colorSaturation": { "alias": "colorSaturation"; "required": false; }; "colorMappingBy": { "alias": "colorMappingBy"; "required": false; }; "visibleMin": { "alias": "visibleMin"; "required": false; }; "childrenVisibleMin": { "alias": "childrenVisibleMin"; "required": false; }; "itemStyle": { "alias": "itemStyle"; "required": false; }; "label": { "alias": "label"; "required": false; }; "upperLabel": { "alias": "upperLabel"; "required": false; }; "breadcrumb": { "alias": "breadcrumb"; "required": false; }; "emphasis": { "alias": "emphasis"; "required": false; }; }, {}, never, never, false, never>;
}
export {};
